APIMatic Java SDKs Protected Against Log4j Vulnerability

Auckland, NZ – December 14, 2021: APIMatic has performed a detailed analysis of their Java SDKs and confirms that they do not contain direct Log4j v2 dependency, making the SDKs safe from the new zero-day vulnerability, CVE-2021-44228, also called as Log4Shell.

Log4j >= version 2.0 has become a global security threat as it allows attackers to execute remote code on their targetted servers. APIMatic ran checks for their Java SDKs and found that the SDKs use SLF4J  (1.7.30) for logging, hence the Java SDKs are not exposed to this vulnerability.

APIMatic’s engineering and customer support teams are working to ensure that all users are informed about the latest updates regarding the Log4J vulnerability. 

APIMatic is a premium developer experience platform on a mission to ensure faster adoption of your API with autogenerated API documentation, multi-language SDKs, dynamic code samples, and more.

Please direct any concerns or further inquiries to info@apimatic.io.